OCF_HEARTBEAT_FIO(7)

NAME
ocf_heartbeat_fio - fio IO load generator

SYNOPSIS

fio [start | stop | monitor | meta-data | validate-all]

DESCRIPTION

fio is a generic I/O load generator. This RA allows start/stop of fio instances to simulate load on a cluster without configuring complex services.

SUPPORTED PARAMETERS

args
    Arguments to the fio client. Minimally, this should be a (list of) job descriptions to run.

    (optional, string, no default)

SUPPORTED ACTIONS

This resource agent supports the following actions (operations):

start
    Starts the resource. Suggested minimum timeout: 60s.

stop
    Stops the resource. Suggested minimum timeout: 60s.

monitor
    Performs a detailed status check. Suggested minimum timeout: 60s. Suggested interval: 10s.

meta-data
    Retrieves resource agent metadata (internal use only). Suggested minimum timeout: 5s.

validate-all
    Performs a validation of the resource configuration. Suggested minimum timeout: 20s.

EXAMPLE CRM SHELL

The following is an example configuration for a fio resource using the crm(8) shell:

    primitive p_fio ocf:heartbeat:fio \
      op monitor timeout="60s" interval="10s"

EXAMPLE PCS

The following is an example configuration for a fio resource using pcs(8)

    pcs resource create p_fio ocf:heartbeat:fio \
      op monitor timeout="60s" interval="10s"

SEE ALSO

http://clusterlabs.org/

AUTHOR

ClusterLabs contributors (see the resource agent source for information about individual authors)